## org.apache.poi.hslf.dev
Class SlideShowRecordDumper

    java.lang.Object
      org.apache.poi.hslf.dev.SlideShowRecordDumper

    public final class SlideShowRecordDumper

extends java.lang.Object

This class provides a way to view the contents of a powerpoint file. It will use the recored layer to grok the contents of the file, and will print out what it finds.

Author:
  Nick Burch

Constructor Summary
`SlideShowRecordDumper(java.lang.String fileName, boolean verbose, boolean escher)` Constructs a Powerpoint dump from fileName.

Method Summary
`int` `getDiskLen(Record r)`
`java.lang.String` `getPrintableRecordContents(Record r)`
`static void` `main(java.lang.String[] args)` right now this function takes one parameter: a ppt file, and outputs a dump of what it contains
`java.lang.String` `makeHex(int number, int padding)`
`void` `printDump()`
`java.lang.String` `printEscherContainerRecord(EscherContainerRecord ecr)`
`java.lang.String` `printEscherRecord(EscherRecord er)`
`static void` `printUsage()`
`java.lang.String` `reverseHex(java.lang.String s)`
`void` `walkTree(int depth, int pos, Record[] records)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlideShowRecordDumper

    public SlideShowRecordDumper(java.lang.String fileName,
                                 boolean verbose,
                                 boolean escher)
                          throws java.io.IOException

  Constructs a Powerpoint dump from fileName. Parses the document and dumps out the contents

  Parameters:
    `fileName` - The name of the file to read.
  Throws:
    `java.io.IOException` - if there is a problem while parsing the document.

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  right now this function takes one parameter: a ppt file, and outputs a dump of what it contains

  Throws:
    `java.io.IOException`

### printUsage

    public static void printUsage()

### printDump

    public void printDump()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeHex

    public java.lang.String makeHex(int number,
                                    int padding)

### reverseHex

    public java.lang.String reverseHex(java.lang.String s)

### getDiskLen

    public int getDiskLen(Record r)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPrintableRecordContents

    public java.lang.String getPrintableRecordContents(Record r)
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### printEscherRecord

    public java.lang.String printEscherRecord(EscherRecord er)

### printEscherContainerRecord

    public java.lang.String printEscherContainerRecord(EscherContainerRecord ecr)

### walkTree

    public void walkTree(int depth,
                         int pos,
                         Record[] records)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.